//Fox R. W., McDonald A. T.,& Pritchard P. J. Fluid Mechanics,8th Edition, Wiley India Pvt. Ltd., 2015  
//Chapter-6 : Incompressible invisid flow
//Example: 6.3   Page:247
//Topic: Nozzle flow 
//=======================================================================
model Ex6_3

//=======================================================
//Parameter Section
parameter Real da(unit="kg/m^3")=1.23"Density of air";
parameter Real a1(unit="m^2")=0.1"Area of cross section in section-1";
parameter Real a2(unit="m^2")=0.02"Area of cross section in section-2";
parameter Real v2(unit="m/s")=50"Velocity in section-2";
parameter Real c1(unit="N*s^2/(kg*m)")=1"Unit conversion constant";
parameter Real c2(unit="Pa*m^2/N")=1"Unit conversion constant";
parameter Real c3(unit="kPa/Pa")=1E3"Unit conversion constant";
//=======================================================
//Variable Section
 Real v1(unit="m/s")"Velocity in section-1";
 Real p1a(unit="kPa")"Difference between p1 and patm";  

//=======================================================
//Equation Section
equation
a1*v1=a2*v2"Continuity equation";
p1a=da*0.5*(v2^2-v1^2)*c1*c2/c3"Expresssion for p1a";
end Ex6_3;
//================================================================
